from django.shortcuts import render, redirect

from .models import Url

# Create your views here.

def index(request):
    context = {
        'url_list': Url.objects.all()
    }
    return render(request, 'index.html', context)

def redir(request, url_id):
    u = Url.objects.get(id=url_id)
    u.used += 1
    u.save()
    return redirect(u.target)

def details(request, url_id):
    context = {
        'url': Url.objects.get(id=url_id)
    }
    return render(request, 'details.html', context)
